> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/web3-connections/remove-an-existing-web3-connection",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Remove an existing Web3 connection.

> Remove a Web3 connection



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml delete /connections/wc/{id}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connections/wc/{id}:
    delete:
      tags:
        - Web3 connections
      summary: Remove an existing Web3 connection.
      description: Remove a Web3 connection
      operationId: remove
      parameters:
        - $ref: '#/components/parameters/X-End-User-Wallet-Id'
        - name: id
          description: The ID of the existing Web3 connection to remove.
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Connection removed successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '404':
          description: Connection not found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '500':
          description: Something went wrong
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.web3Connections.remove(web3ConnectionsApiRemoveRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.web3Connections().remove(id, xEndUserWalletId);
        - lang: Python
          source: >-
            response = fireblocks.web3_connections.remove(id,
            x_end_user_wallet_id);
components:
  parameters:
    X-End-User-Wallet-Id:
      name: X-End-User-Wallet-Id
      in: header
      description: >-
        Unique ID of the End-User wallet to the API request. Required for
        end-user wallet operations.
      required: false
      schema:
        type: string
        format: uuid
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````